/*

 Arduino TFT Bitmap Logo example

 This example reads an image file from a micro-SD card
 and draws it on the screen, at random locations.

 In this sketch, the Arduino logo is read from a micro-SD card.
 There is a .bmp file included with this sketch.
 - open the sketch folder (Ctrl-K or Cmd-K)
 - copy the "arduino.bmp" file to a micro-SD
 - put the SD into the SD slot of the Arduino TFT module.

 This example code is in the public domain.

 Created 19 April 2013 by Enrico Gueli
 128*160 dots  ER-TFTM018A3-2
 http://buydisplay.com
 */

// include the necessary libraries
#include <SPI.h>
#include <SD.h>
#include <TFTM018A3-2.h>  // Arduino LCD library

//  definition for the UNO MEGA  DUE
#define sd_cs  8
#define lcd_cs 9
#define dc     7
#define rst    10


TFT TFTscreen = TFT(lcd_cs, dc, rst);

// this variable represents the image to be drawn on screen
PImage logo;


void setup() {
  // initialize the GLCD and show a message
  // asking the user to open the serial line
  TFTscreen.begin();
  TFTscreen.background(0, 0, 0);

  TFTscreen.stroke(0, 0, 255);
  TFTscreen.println();
  TFTscreen.println(F("SDcard to TFT BMP Example"));
  TFTscreen.stroke(0, 255, 0);
  TFTscreen.println(F("Open serial monitor"));
  TFTscreen.println(F("to run the sketch"));
   TFTscreen.println(F("buydisplay.com"));
    delay(2000);
  // initialize the serial port: it will be used to
  // print some diagnostic info
  Serial.begin(9600);
  while (!Serial) {
    // wait for serial line to be ready
  }

  // try to access the SD card. If that fails (e.g.
  // no card present), the setup process will stop.
  Serial.print(F("Initializing SD card..."));
  if (!SD.begin(sd_cs)) {
    Serial.println(F("failed!"));
    return;
  }
  Serial.println(F("OK!"));


  // clear the GLCD screen before starting
  TFTscreen.background(0, 0, 0);

}

void loop() {
/*  // don't do anything if the image wasn't loaded correctly.
  if (logo.isValid() == false) {
    return;
  }*/

 // now that the SD card can be access, try to load the
  // image file.
  logo = TFTscreen.loadImage("arduino.bmp");
  if (!logo.isValid()) {
    Serial.println(F("error while loading arduino.bmp"));
   }  
  Serial.println(F("drawing image"));
  // draw the image to the screen
  TFTscreen.image(logo, 20, 20);
  // wait a little bit before drawing again
  delay(1500);
  
   logo = TFTscreen.loadImage("1.bmp");
  if (!logo.isValid()) {
    Serial.println(F("error while loading arduino.bmp"));
   }  
  Serial.println(F("drawing image"));
  // draw the image to the screen
  TFTscreen.image(logo, 0, 0);
  // wait a little bit before drawing again
  delay(1500); 
  
    logo = TFTscreen.loadImage("2.bmp");
  if (!logo.isValid()) {
    Serial.println(F("error while loading arduino.bmp"));
   }  
  Serial.println(F("drawing image"));
  // draw the image to the screen
  TFTscreen.image(logo, 0, 0);
  // wait a little bit before drawing again
  delay(1500);  
  
     logo = TFTscreen.loadImage("3.bmp");
  if (!logo.isValid()) {
    Serial.println(F("error while loading arduino.bmp"));
   }  
  Serial.println(F("drawing image"));
  // draw the image to the screen
  TFTscreen.image(logo, 0, 0);
  // wait a little bit before drawing again
  delay(1500); 
  
  
}
